%define xorg_ver %(pkg-config xorg-server --modversion|cut -d. -f1-2)
Name:          xorg-drv-input-wacom
Version:       0.34.2
Release:       1mamba
Summary:       X.Org input driver for Wacom tablets
Group:         System/X11
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           http://x.org
Source:        http://downloads.sourceforge.net/project/linuxwacom/xf86-input-wacom/xf86-input-wacom-%{version}.tar.bz2
License:       MIT
BuildRoot:     %{_tmppath}/%{name}-%{version}-root
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libX11-devel
BuildRequires: libXau-devel
BuildRequires: libXdmcp-devel
BuildRequires: libXext-devel
BuildRequires: libXi-devel
BuildRequires: libXinerama-devel
BuildRequires: libXrandr-devel
BuildRequires: libXrender-devel
BuildRequires: libbsd-devel
BuildRequires: libcap-devel
BuildRequires: libdw-devel
BuildRequires: libpcre-devel
BuildRequires: libselinux-devel
BuildRequires: libsepol-devel
BuildRequires: libudev-devel
BuildRequires: libxcb-devel
## AUTOBUILDREQ-END
Provides:      xorgdrvinput
Requires:      xorg-server >= %{xorg_ver}
Requires:      xorg-server <= %{xorg_ver}.255

%description
X.Org input driver for Wacom tablets.

%package devel
Summary:       Header files for %{name}
Group:         Development/Libraries
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description devel
This package contains header files need for development.

%prep
%setup -q -n xf86-input-wacom-%{version}

%build
%configure \
   --with-systemd-unit-dir=%{_unitdir} \
   --with-udev-rules-dir=%{_udevrulesdir}

%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files
%defattr(-,root,root)
%{_bindir}/isdv4-serial-debugger
%{_bindir}/xsetwacom
%{_bindir}/isdv4-serial-inputattach
%{_unitdir}/wacom-inputattach@.service
%{_udevrulesdir}/wacom.rules
%{_libdir}/xorg/modules/input/wacom_drv.so
%{_datadir}/X11/xorg.conf.d/70-wacom.conf
%{_mandir}/man1/xsetwacom.1*
%{_mandir}/man4/wacom.4*
%doc AUTHORS GPL

%files devel
%defattr(-,root,root)
%{_includedir}/xorg/*.h
%{_libdir}/pkgconfig/xorg-wacom.pc
%{_libdir}/xorg/modules/input/wacom_drv.la
#%doc ChangeLog README

%changelog
* Sat Mar 18 2017 Automatic Build System <autodist@mambasoft.it> 0.34.2-1mamba
- automatic version update by autodist

* Thu Jan 12 2017 Automatic Build System <autodist@mambasoft.it> 0.34.0-1mamba
- automatic version update by autodist

* Sat Jun 04 2016 Automatic Build System <autodist@mambasoft.it> 0.33.0-1mamba
- automatic version update by autodist

* Fri Jan 15 2016 Automatic Build System <autodist@mambasoft.it> 0.32.0-1mamba
- automatic version update by autodist

* Wed Dec 09 2015 Silvan Calarco <silvan.calarco@mambasoft.it> 0.31.0-2mamba
- fix systemd and udev installation dirs

* Sun Sep 13 2015 Silvan Calarco <silvan.calarco@mambasoft.it> 0.31.0-1mamba
- update to 0.31.0
- built with xorg-server 1.17.2

* Sat Jun 14 2014 Automatic Build System <autodist@mambasoft.it> 0.16.0-3mamba
- X.org 1.15 rebuild

* Tue Mar 05 2013 Silvan Calarco <silvan.calarco@mambasoft.it> 0.16.0-2mamba
- xorg-server 1.12 mass rebuild

* Tue Aug 07 2012 Silvan Calarco <silvan.calarco@mambasoft.it> 0.16.0-1mamba
- package created

